Summary:	Cairo graphics library wrapper for Guile Scheme
Summary(pl.UTF-8):	Wrapper biblioteki graficznej Cairo dla Guile Scheme
Name:		guile-cairo
Version:	1.10.0
Release:	2
License:	LGPL v3+
Group:		Libraries
Source0:	http://download.savannah.gnu.org/releases/guile-cairo/%{name}-%{version}.tar.gz
# Source0-md5:	03417b370a822c3e0be0795930f7878f
Patch0:		%{name}-headers.patch
Patch1:		%{name}-info.patch
URL:		http://www.nongnu.org/guile-cairo/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	cairo-devel >= 1.4.0
BuildRequires:	guile-devel >= 5:1.6.4
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	texinfo
Requires:	cairo >= 1.4.0
Requires:	guile >= 5:1.6.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Guile-Cairo wraps the Cairo graphics library for Guile Scheme.

%description -l pl.UTF-8
Guile-Cairo obudowuje bibliotekę graficzną Cairo dla Guile Scheme.

%package devel
Summary:	Header files for guile-cairo library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki guile-cairo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.4.0
Requires:	guile-devel >= 5:1.6.4

%description devel
Header files for guile-cairo library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki guile-cairo.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
%{__make} \
	DEBUG_CFLAGS="-I%{_includedir}/cairo"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libguile-cairo.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libguile-cairo.so.0
%{_datadir}/guile/site/cairo.scm
%{_datadir}/guile/site/cairo

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libguile-cairo.so
%{_libdir}/libguile-cairo.la
%{_includedir}/guile-cairo
%{_pkgconfigdir}/guile-cairo.pc
%{_infodir}/guile-cairo.info*
%changelog
* Thu Jun 27 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/guile-cairo.git;a=log;h=master

* Thu Jun 27 2019 Jan Rękorajski <baggins@pld-linux.org> 3e17f72
- release 2 (by relup.sh)

* Sat Mar 30 2019 Jan Rękorajski <baggins@pld-linux.org> a082a4c
- up to 1.10.0

* Sat Mar 09 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 1390c92
- release 9 (by relup.sh)

* Mon Feb 29 2016 Jakub Bogusz <qboosh@pld-linux.org> 92e5251
- release 8 (x32 rebuild)

* Mon Feb 29 2016 Jakub Bogusz <qboosh@pld-linux.org> 111f125
- updated URL, noted new source URL

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 19cc1a6
- release 7 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 46f5333
- release 6 (by relup.sh)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c5d319d
- release 5

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 137107d
- release 4

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e11acc8
- release 3

* Sun Sep 11 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ed7c78
- release 2

* Tue May 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 825d9e9
- updated to 1.4.1

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> 4eeb67a
- pass -I%{_includedir}/cairo through DEBUG_CFLAGS
  (Makefile.am is ugly and does not allow to do it in a cleaner way)
- auto*ize
- BR: autoconf, automake, libtool

* Sat May 22 2010 sparky <sparky@pld-linux.org> 0fdf310
- don't require c++ compiler

* Wed Apr 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 81dea46
- release 4

* Sat Nov 22 2008 Marcin Banasiak <marcin.banasiak@gmail.com> d9de223
- release 3

* Thu May 29 2008 Jakub Bogusz <qboosh@pld-linux.org> b64c1b0
- ghost soname symlink

* Thu May 29 2008 Jakub Bogusz <qboosh@pld-linux.org> 6c5bbba
- release 2

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 844458c
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Sun Aug 12 2007 Jakub Bogusz <qboosh@pld-linux.org> b30af01
- updated to 1.4.0
- added info patch

